Artha API
  1. Customers
  • Introduction
  • Authentication
  • KYC/KYB Requirements
  • API Setup Guide
  • Card API Integration Flow
  • Customers
    • Create Customer
      POST
    • List Customers
      GET
    • Get Customer
      GET
    • Update Customer
      PATCH
  • Cards
    • Submit KYC/KYB Applicant
      POST
    • Get Applicant KYC Status
      GET
    • Issue Card
      POST
    • Cards List
      GET
    • Get Card
      GET
    • Get Sensitive Card Details
      GET
  • Card Operations
    • Activate Card
      POST
    • Freeze Card
      POST
    • Unfreeze Card
      POST
    • Cancel Card
      POST
    • Replace Card
      POST
    • Set / Reset Card PIN
      POST
    • Get Card Limits
      GET
    • Update Card Limits
      POST
  • Funding
    • Top Up Card
      POST
    • Get Top-Up Status
      GET
    • Get Card Balance
      GET
    • List Top-Up History
      GET
  • Transactions
    • List All Transactions
    • List Card Transactions
    • List Customer Transactions
    • Get Transaction
  • Products
    • List Products
    • Get Product
  • Utilities
    • Upload Documents
  • Webhook's
    • Webhooks
  1. Customers

List Customers

GET
/baseurl/api/v1/Customers
Returns a paginated list of all customers.

Request

Query Params

Header Params

Responses

🟢200
application/json
Body

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/baseurl/api/v1/Customers?limit&offset&status&type&search&createdFrom&createdTo' \
--header 'X-API-Key;' \
--header 'X-Signature;' \
--header 'X-Timestamp;' \
--header 'X-Nonce;' \
--header 'X-Body-Hash;'
Response Response Example
{
    "data": [
        {
            "id": "cst_789012",
            "type": "business",
            "firstName": null,
            "lastName": null,
            "email": "contact@acme.com",
            "phoneCode": "+91",
            "phoneNumber": "9123456789",
            "country": "India",
            "status": "Active",
            "businessName": "Acme Pvt Ltd",
            "createdAt": "2026-03-30T11:45:00Z"
        }
    ],
    "pagination": {
        "total": 1,
        "limit": 20,
        "offset": 0,
        "hasMore": false
    }
}
Modified at 2026-03-31 11:53:55
Previous
Create Customer
Next
Get Customer
Built with